Delete a channel body from a template
DELETE
/v1/templates/{id}/bodies/{channel}
const url = 'https://your-notavia-host/v1/templates/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/bodies/email';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://your-notavia-host/v1/templates/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/bodies/email \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
channel
required
Kebab-case channel identifier used in URL path segments and template body keys.
string
Responses
Section titled “ Responses ”Deleted.
Validation or request error.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}Missing or invalid credentials.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}Credentials do not have the required scope.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}